Index: issm/trunk/src/m/solutions/jpl/SpawnCore.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/SpawnCore.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/SpawnCore.m	(revision 3796)
@@ -7,10 +7,10 @@
 
 %recover parameters
-verbose=models.dh.parameters.verbose;
+verbose=models.dh.parameters.Verbose;
 parameters=models.dh.parameters;
 responsedescriptors=models.dh.parameters.responsedescriptors; 
 npart=models.dh.parameters.qmu_npart;
 part=models.dh.parameters.qmu_part+1; %C indexing
-numberofnodes=models.dh.parameters.numberofnodes;
+numberofnodes=models.dh.parameters.NumberOfNodes;
 
 disp(['   qmu iteration: ',num2str(counter)]);
Index: issm/trunk/src/m/solutions/jpl/balancedthickness.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/balancedthickness.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/balancedthickness.m	(revision 3796)
@@ -20,7 +20,7 @@
 	displaystring(md.verbose,'\n%s',['setup inputs...']);
 	inputs=inputlist;
-	inputs=add(inputs,'velocity',models.bt.parameters.u_g,'doublevec',3,models.bt.parameters.numberofnodes);
-	inputs=add(inputs,'melting',models.bt.parameters.m_g,'doublevec',1,models.bt.parameters.numberofnodes);
-	inputs=add(inputs,'accumulation',models.bt.parameters.a_g,'doublevec',1,models.bt.parameters.numberofnodes);
+	inputs=add(inputs,'velocity',models.bt.parameters.u_g,'doublevec',3,models.bt.parameters.NumberOfNodes);
+	inputs=add(inputs,'melting',models.bt.parameters.m_g,'doublevec',1,models.bt.parameters.NumberOfNodes);
+	inputs=add(inputs,'accumulation',models.bt.parameters.a_g,'doublevec',1,models.bt.parameters.NumberOfNodes);
 
 	displaystring(md.verbose,'\n%s',['call computational core:']);
Index: issm/trunk/src/m/solutions/jpl/balancedthickness2.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/balancedthickness2.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/balancedthickness2.m	(revision 3796)
@@ -20,10 +20,10 @@
 	displaystring(md.verbose,'\n%s',['setup inputs...']);
 	inputs=inputlist;
-	inputs=add(inputs,'vx',models.p.parameters.vx_g,'doublevec',1,models.p.parameters.numberofvertices);
-	inputs=add(inputs,'vy',models.p.parameters.vy_g,'doublevec',1,models.p.parameters.numberofvertices);
-	inputs=add(inputs,'thickness',models.p.parameters.h_g,'doublevec',1,models.p.parameters.numberofvertices);
-	inputs=add(inputs,'dhdt',models.p.parameters.dhdt_g,'doublevec',1,models.p.parameters.numberofvertices);
-	inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.numberofvertices);
-	inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.numberofvertices);
+	inputs=add(inputs,'vx',models.p.parameters.vx_g,'doublevec',1,models.p.parameters.NumberOfVertices);
+	inputs=add(inputs,'vy',models.p.parameters.vy_g,'doublevec',1,models.p.parameters.NumberOfVertices);
+	inputs=add(inputs,'thickness',models.p.parameters.h_g,'doublevec',1,models.p.parameters.NumberOfVertices);
+	inputs=add(inputs,'dhdt',models.p.parameters.dhdt_g,'doublevec',1,models.p.parameters.NumberOfVertices);
+	inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.NumberOfVertices);
+	inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.NumberOfVertices);
 
 	displaystring(md.verbose,'\n%s',['call computational core:']);
Index: issm/trunk/src/m/solutions/jpl/balancedthickness2_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/balancedthickness2_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/balancedthickness2_core.m	(revision 3796)
@@ -10,5 +10,5 @@
 	results.step=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['depth averaging velocity...']);
+	displaystring(m.parameters.Verbose,'\n%s',['depth averaging velocity...']);
 	%Take only the first two dofs of m.parameters.u_g
 	vx_g=get(inputs,'vx',1);
@@ -19,14 +19,14 @@
 	%vy_g=FieldDepthAverage(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,vy_g,'vy');
 
-	inputs=add(inputs,'vx_average',vx_g,'doublevec',1,m.parameters.numberofvertices);
-	inputs=add(inputs,'vy_average',vy_g,'doublevec',1,m.parameters.numberofvertices);
+	inputs=add(inputs,'vx_average',vx_g,'doublevec',1,m.parameters.NumberOfVertices);
+	inputs=add(inputs,'vy_average',vy_g,'doublevec',1,m.parameters.NumberOfVertices);
 
-	displaystring(m.parameters.verbose,'\n%s',['call computational core:']);
+	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
 	results.h_g=diagnostic_core_linear(m,inputs,analysis_type,sub_analysis_type);
 
-	displaystring(m.parameters.verbose,'\n%s',['averaging over vertices']);
+	displaystring(m.parameters.Verbose,'\n%s',['averaging over vertices']);
 	results.h_g=FieldAverageOntoVertices(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.h_g);
 
-	displaystring(m.parameters.verbose,'\n%s',['extrude computed thickness on all layers:']);
+	displaystring(m.parameters.Verbose,'\n%s',['extrude computed thickness on all layers:']);
 	%results.h_g=FieldAverageOntoVertices(m.elements,m.nodes,m.loads,m.materials,m.parameters,results.h_g,'thickness');
 
Index: issm/trunk/src/m/solutions/jpl/balancedthickness_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/balancedthickness_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/balancedthickness_core.m	(revision 3796)
@@ -10,14 +10,14 @@
 	results.step=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['depth averaging velocity...']);
+	displaystring(m.parameters.Verbose,'\n%s',['depth averaging velocity...']);
 	%Take only the first two dofs of m.parameters.u_g
 	u_g=get(inputs,'velocity',[1 1 0 0]);
 	u_g=FieldDepthAverage(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,u_g,'velocity');
-	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.numberofnodes);
+	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.NumberOfNodes);
 
-	displaystring(m.parameters.verbose,'\n%s',['call computational core:']);
+	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
 	results.h_g=diagnostic_core_linear(m,inputs,analysis_type,sub_analysis_type);
 
-	displaystring(m.parameters.verbose,'\n%s',['extrude computed thickness on all layers:']);
+	displaystring(m.parameters.Verbose,'\n%s',['extrude computed thickness on all layers:']);
 	results.h_g=FieldExtrude(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.h_g,'thickness',0);
 
Index: issm/trunk/src/m/solutions/jpl/balancedvelocities.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/balancedvelocities.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/balancedvelocities.m	(revision 3796)
@@ -20,9 +20,9 @@
 	displaystring(md.verbose,'\n%s',['setup inputs...']);
 	inputs=inputlist;
-	inputs=add(inputs,'velocity',models.p.parameters.u_g,'doublevec',3,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'thickness',models.p.parameters.h_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'dt',models.p.parameters.dt*models.p.parameters.yts,'double');
+	inputs=add(inputs,'velocity',models.p.parameters.u_g,'doublevec',3,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'thickness',models.p.parameters.h_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'dt',models.p.parameters.Dt*models.p.parameters.Yts,'double');
 
 	displaystring(md.verbose,'\n%s',['call computational core:']);
Index: issm/trunk/src/m/solutions/jpl/balancedvelocities_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/balancedvelocities_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/balancedvelocities_core.m	(revision 3796)
@@ -10,14 +10,14 @@
 	results.step=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['depth averaging velocity...']);
+	displaystring(m.parameters.Verbose,'\n%s',['depth averaging velocity...']);
 	%Take only the first two dofs of m.parameters.u_g
 	u_g=get(inputs,'velocity',[1 1 0 0]);
 	u_g=FieldDepthAverage(m.elements,m.nodes,m.loads,m.materials,m.parameters,u_g,'velocity');
-	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.numberofnodes);
+	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.NumberOfNodes);
 
-	displaystring(m.parameters.verbose,'\n%s',['call computational core:']);
+	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
 	results.h_g=diagnostic_core_linear(m,inputs,analysis_type,sub_analysis_type);
 
-	displaystring(m.parameters.verbose,'\n%s',['extrude computed thickness on all layers:']);
+	displaystring(m.parameters.Verbose,'\n%s',['extrude computed thickness on all layers:']);
 	results.v_g=FieldExtrude(m.elements,m.nodes,m.loads,m.materials,m.parameters,results.h_g,'thickness',0);
 
Index: issm/trunk/src/m/solutions/jpl/control_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/control_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/control_core.m	(revision 3796)
@@ -12,12 +12,13 @@
 model=models.active;
 
+model.parameters
 %recover parameters common to all solutions
-verbose=model.parameters.verbose;
-dim=model.parameters.dim;
-isstokes=model.parameters.isstokes;
+verbose=model.parameters.Verbose;
+dim=model.parameters.Dim;
+isstokes=model.parameters.IsStokes;
 
 %recover other parameters
-eps_cm=model.parameters.eps_cm;
-fit=model.parameters.fit;
+eps_cm=model.parameters.EpsCm;
+fit=model.parameters.Fit;
 
 %initialize control parameters
@@ -27,20 +28,20 @@
 options=ControlOptions(model.parameters);
 
-for n=1:model.parameters.nsteps,
+for n=1:model.parameters.NSteps,
 
 	%set options
-	options=optimset(options,'MaxFunEvals',model.parameters.maxiter(n));
+	options=optimset(options,'MaxFunEvals',model.parameters.MaxIter(n));
 
-	disp(sprintf('\n%s%s%s%s\n',['   control method step ' num2str(n) '/' num2str(model.parameters.nsteps)]));
+	disp(sprintf('\n%s%s%s%s\n',['   control method step ' num2str(n) '/' num2str(model.parameters.NSteps)]));
 
 	%In case we are running a steady state control method, compute new temperature field using new parameter distribution: 
-	if model.parameters.control_steady;
+	if model.parameters.ControlSteady;
 		steadystate_results=steadystate_core(models,inputs); t_g=steadystate_results.t_g; 
-		inputs=add(inputs,'temperature',t_g,'doublevec',1,model.parameters.numberofnodes);
+		inputs=add(inputs,'temperature',t_g,'doublevec',1,model.parameters.NumberOfNodes);
 	end
 
 	%update inputs with new fit
-	inputs=add(inputs,'fit',model.parameters.fit(n),'double');
-	inputs=add(inputs,model.parameters.control_type,param_g,'doublevec',1,model.parameters.numberofnodes);
+	inputs=add(inputs,'fit',model.parameters.Fit(n),'double');
+	inputs=add(inputs,model.parameters.ControlType,param_g,'doublevec',1,model.parameters.NumberOfNodes);
 
 	%Update inputs in datasets
@@ -52,14 +53,14 @@
 	if dim==3,
 		if isstokes,
-			inputs=add(inputs,'velocity',u_g,'doublevec',4,model.parameters.numberofnodes);
+			inputs=add(inputs,'velocity',u_g,'doublevec',4,model.parameters.NumberOfNodes);
 		else
-			if model.parameters.control_steady;
-				inputs=add(inputs,'velocity',u_g,'doublevec',3,model.parameters.numberofnodes);
+			if model.parameters.ControlSteady;
+				inputs=add(inputs,'velocity',u_g,'doublevec',3,model.parameters.NumberOfNodes);
 			else
-				inputs=add(inputs,'velocity',u_g,'doublevec',2,model.parameters.numberofnodes);
+				inputs=add(inputs,'velocity',u_g,'doublevec',2,model.parameters.NumberOfNodes);
 			end
 		end
 	else
-		inputs=add(inputs,'velocity',u_g,'doublevec',2,model.parameters.numberofnodes);
+		inputs=add(inputs,'velocity',u_g,'doublevec',2,model.parameters.NumberOfNodes);
 	end
 
@@ -72,5 +73,5 @@
 
 	%visualize direction.
-	if model.parameters.plot
+	if model.parameters.Plot
 		plot_direction;
 	end
@@ -80,5 +81,5 @@
 
 	displaystring(verbose,'\n%s',['      updating parameter using optimized search scalar...']);
-	param_g=param_g+search_scalar*model.parameters.optscal(n)*c(n).grad_g;
+	param_g=param_g+search_scalar*model.parameters.Optscal(n)*c(n).grad_g;
 
 	displaystring(verbose,'\n%s',['      constraining the new distribution...']);
@@ -116,6 +117,6 @@
 
 %compute final velocity from diagnostic_core (horiz+vertical)
-if model.parameters.control_steady;
-	inputs=add(inputs,model.parameters.control_type,param_g,'doublevec',1,model.parameters.numberofnodes);
+if model.parameters.ControlSteady;
+	inputs=add(inputs,model.parameters.ControlType,param_g,'doublevec',1,model.parameters.NumberOfNodes);
 	steadystate_results=steadystate_core(models,inputs); t_g=steadystate_results.t_g; 
 	u_g=steadystate_results.u_g;
@@ -123,5 +124,5 @@
 	m_g=steadystate_results.m_g;
 else
-	inputs=add(inputs,model.parameters.control_type,param_g,'doublevec',1,model.parameters.numberofnodes);
+	inputs=add(inputs,model.parameters.ControlType,param_g,'doublevec',1,model.parameters.NumberOfNodes);
 	results_diag=diagnostic_core(models,inputs);
 	u_g=results_diag.u_g;
@@ -140,5 +141,5 @@
 results.param_g=param_g;
 results.u_g=u_g;
-if model.parameters.control_steady,
+if model.parameters.ControlSteady,
 	results.t_g=t_g;
 	results.m_g=m_g;
Index: issm/trunk/src/m/solutions/jpl/diagnostic_core_linear.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/diagnostic_core_linear.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/diagnostic_core_linear.m	(revision 3796)
@@ -17,5 +17,5 @@
 	%Reduce tangent matrix from g size to f size
 	[K_ff, K_fs] = Reducematrixfromgtof( K_gg, m.Gmn, m.nodesets); 
-	displaystring(m.parameters.verbose>1,'%s%g','      condition number of stiffness matrix: ',condest(K_ff));
+	displaystring(m.parameters.Verbose>1,'%s%g','      condition number of stiffness matrix: ',condest(K_ff));
 	
 	%Reduce load from g size to f size
Index: issm/trunk/src/m/solutions/jpl/diagnostic_core_nonlinear.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/diagnostic_core_nonlinear.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/diagnostic_core_nonlinear.m	(revision 3796)
@@ -11,7 +11,8 @@
 	m.parameters.kflag=1; m.parameters.pflag=1;
 
+	m.parameters
 %   initialize solution vector
 	converged=0; count=1;
-	soln(count).u_g=get(inputs,'velocity',[1 1 (m.parameters.numberofdofspernode>=3) (m.parameters.numberofdofspernode>=3)]); %only keep vz if running with more than 3 dofs per node
+	soln(count).u_g=get(inputs,'velocity',[1 1 (m.parameters.NumberOfDofsPerNode>=3) (m.parameters.NumberOfDofsPerNode>=3)]); %only keep vz if running with more than 3 dofs per node
 
 	soln(count).u_f= Reducevectorgtof(soln(count).u_g,m.nodesets);
@@ -20,13 +21,13 @@
 	inputs=add(inputs,'converged',converged,'double');
 
-	displaystring(m.parameters.verbose,'\n%s',['   starting direct shooting method']);
+	displaystring(m.parameters.Verbose,'\n%s',['   starting direct shooting method']);
 	while(~converged),
 		
 		%add velocity to inputs
-		inputs=add(inputs,'velocity',soln(count).u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+		inputs=add(inputs,'velocity',soln(count).u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 		if count>1,
-			inputs=add(inputs,'old_velocity',soln(count-1).u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+			inputs=add(inputs,'old_velocity',soln(count-1).u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 		else
-			inputs=add(inputs,'old_velocity',soln(count).u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+			inputs=add(inputs,'old_velocity',soln(count).u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 		end
 		
@@ -59,5 +60,5 @@
 		
 		%Deal with penalty loads
-		inputs=add(inputs,'velocity',soln(count).u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+		inputs=add(inputs,'velocity',soln(count).u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 		
 		%penalty constraints
@@ -65,5 +66,5 @@
 		error;
 		
-		displaystring(m.parameters.verbose,'%s%i','      number of unstable constraints: ',num_unstable_constraints);
+		displaystring(m.parameters.Verbose,'%s%i','      number of unstable constraints: ',num_unstable_constraints);
 		
 		%Figure out if convergence have been reached
@@ -87,5 +88,5 @@
 	nout=max(nargout,1)-1;
 	if nout==2,
-		inputs=add(inputs,'velocity',u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+		inputs=add(inputs,'velocity',u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 		m.parameters.kflag=1; m.parameters.pflag=0; 
 		[K_gg, p_g]=SystemMatrices(m.elements,m.nodes,m.vertices,loads,m.materials,m.parameters,inputs,analysis_type,sub_analysis_type);
Index: issm/trunk/src/m/solutions/jpl/gradjcompute_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/gradjcompute_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/gradjcompute_core.m	(revision 3796)
@@ -5,17 +5,17 @@
 
 %recover parameters
-verbose=m.parameters.verbose;
-dim=m.parameters.dim;
-extrude_param=m.parameters.extrude_param;
-ishutter=m.parameters.ishutter;
-ismacayealpattyn=m.parameters.ismacayealpattyn;
-isstokes=m.parameters.isstokes;
-analysis_type=m.parameters.analysis_type;
-sub_analysis_type=m.parameters.sub_analysis_type;
+verbose=m.parameters.Verbose;
+dim=m.parameters.Dim;
+extrude_param=m.parameters.ExtrudeParam;
+ishutter=m.parameters.IsHutter;
+ismacayealpattyn=m.parameters.IsMacAyealPattyn;
+isstokes=m.parameters.IsStokes;
+analysis_type=m.parameters.AnalysisType;
+sub_analysis_type=m.parameters.SubAnalysisType;
 
 %Recover solution for this stiffness and right hand side: 
 displaystring(verbose,'%s','         computing velocities...');
 [u_g K_ff0 K_fs0 ]=diagnostic_core_nonlinear(m,inputs,analysis_type,sub_analysis_type);
-inputs=add(inputs,'velocity',u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+inputs=add(inputs,'velocity',u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 
 %Buid Du, difference between observed velocity and model velocity.
@@ -32,5 +32,5 @@
 %Merge back to g set
 lambda_g= Mergesolutionfromftog( lambda_f, m.Gmn, m.ys0, m.nodesets ); 
-inputs=add(inputs,'adjoint',lambda_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+inputs=add(inputs,'adjoint',lambda_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 
 %Compute gradJ 
@@ -41,5 +41,5 @@
 end
 
-if m.parameters.control_steady,
+if m.parameters.ControlSteady,
 	%compute initial velocity from diagnostic_core (horiz+vertical)
 	displaystring(verbose,'%s','          compute 3d initial velocity...');
Index: issm/trunk/src/m/solutions/jpl/objectivefunctionC.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/objectivefunctionC.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/objectivefunctionC.m	(revision 3796)
@@ -5,8 +5,8 @@
 
 %recover some parameters
-optscal=m.parameters.optscal(n);
-fit=m.parameters.fit(n);
-control_type=m.parameters.control_type;
-analysis_type=m.parameters.analysis_type;
+optscal=m.parameters.Optscal(n);
+fit=m.parameters.Fit(n);
+control_type=m.parameters.ControlType;
+analysis_type=m.parameters.AnalysisType;
 
 %Update along gradient using scalar supplied by fmincon optimization routine
@@ -14,5 +14,5 @@
 
 %Plug parameter into inputs
-inputs=add(inputs,m.parameters.control_type,parameter,'doublevec',1,m.parameters.numberofnodes);
+inputs=add(inputs,m.parameters.ControlType,parameter,'doublevec',1,m.parameters.NumberOfNodes);
 
 %Run diagnostic with updated parameters.
@@ -20,5 +20,5 @@
 
 %add velocity to inputs.
-inputs=add(inputs,'velocity',u_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
+inputs=add(inputs,'velocity',u_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
 
 %Compute misfit for this velocity field. 
Index: issm/trunk/src/m/solutions/jpl/processresults.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/processresults.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/processresults.m	(revision 3796)
@@ -21,8 +21,8 @@
 
 	%some flags needed
-	dim=m_dhu.parameters.dim;
-	ishutter=m_dhu.parameters.ishutter;
-	ismacayealpattyn=m_dh.parameters.ismacayealpattyn;
-	isstokes=m_ds.parameters.isstokes;
+	dim=m_dhu.parameters.Dim;
+	ishutter=m_dhu.parameters.IsHutter;
+	ismacayealpattyn=m_dh.parameters.IsMacAyealPattyn;
+	isstokes=m_ds.parameters.IsStokes;
 end
 if (analysis_type==ControlAnalysisEnum()),
@@ -30,8 +30,8 @@
 
 	%some flags needed
-	dim=m_dh.parameters.dim;
-	ishutter=m_dh.parameters.ishutter;
-	ismacayealpattyn=m_dh.parameters.ismacayealpattyn;
-	isstokes=m_dh.parameters.isstokes;
+	dim=m_dh.parameters.Dim;
+	ishutter=m_dh.parameters.IsHutter;
+	ismacayealpattyn=m_dh.parameters.IsMacAyealPattyn;
+	isstokes=m_dh.parameters.IsStokes;
 end
 if (analysis_type==ThermalAnalysisEnum() | analysis_type==TransientAnalysisEnum() | analysis_type==SteadystateAnalysisEnum()),
@@ -52,5 +52,5 @@
 
 			u_g=results(i).u_g;
-			yts=m_dh.parameters.yts;
+			yts=m_dh.parameters.Yts;
 
 			if dim==2,
@@ -93,5 +93,5 @@
 
 			m_g=results(i).m_g;
-			yts=m_m.parameters.yts;
+			yts=m_m.parameters.Yts;
 			newresults(i).step=results(i).step;
 			newresults(i).time=results(i).time;
Index: issm/trunk/src/m/solutions/jpl/prognostic.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/prognostic.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/prognostic.m	(revision 3796)
@@ -20,9 +20,9 @@
 	displaystring(md.verbose,'\n%s',['setup inputs...']);
 	inputs=inputlist;
-	inputs=add(inputs,'velocity',models.p.parameters.u_g,'doublevec',3,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'thickness',models.p.parameters.h_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'dt',models.p.parameters.dt*models.p.parameters.yts,'double');
+	inputs=add(inputs,'velocity',models.p.parameters.u_g,'doublevec',3,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'thickness',models.p.parameters.h_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'dt',models.p.parameters.Dt*models.p.parameters.Yts,'double');
 
 	displaystring(md.verbose,'\n%s',['call computational core:']);
Index: issm/trunk/src/m/solutions/jpl/prognostic2_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/prognostic2_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/prognostic2_core.m	(revision 3796)
@@ -10,5 +10,5 @@
 	results.step=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['depth averaging velocity...']);
+	displaystring(m.parameters.Verbose,'\n%s',['depth averaging velocity...']);
 	%Take only the first two dofs of m.parameters.u_g
 	vx_g=get(inputs,'vx',1);
@@ -19,14 +19,14 @@
 	%vy_g=FieldDepthAverage(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,vy_g,'vy');
 
-	inputs=add(inputs,'vx_average',vx_g,'doublevec',1,m.parameters.numberofvertices);
-	inputs=add(inputs,'vy_average',vy_g,'doublevec',1,m.parameters.numberofvertices);
+	inputs=add(inputs,'vx_average',vx_g,'doublevec',1,m.parameters.NumberOfVertices);
+	inputs=add(inputs,'vy_average',vy_g,'doublevec',1,m.parameters.NumberOfVertices);
 
-	displaystring(m.parameters.verbose,'\n%s',['call computational core:']);
+	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
 	results.h_g=diagnostic_core_linear(m,inputs,analysis_type,sub_analysis_type);
 
-	displaystring(m.parameters.verbose,'\n%s',['averaging over vertices']);
+	displaystring(m.parameters.Verbose,'\n%s',['averaging over vertices']);
 	results.h_g=FieldAverageOntoVertices(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.h_g);
 
-	displaystring(m.parameters.verbose,'\n%s',['extrude computed thickness on all layers:']);
+	displaystring(m.parameters.Verbose,'\n%s',['extrude computed thickness on all layers:']);
 	%results.h_g=FieldAverageOntoVertices(m.elements,m.nodes,m.loads,m.materials,m.parameters,results.h_g,'thickness');
 
Index: issm/trunk/src/m/solutions/jpl/prognostic_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/prognostic_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/prognostic_core.m	(revision 3796)
@@ -10,14 +10,14 @@
 	results.step=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['depth averaging velocity...']);
+	displaystring(m.parameters.Verbose,'\n%s',['depth averaging velocity...']);
 	%Take only the first two dofs of m.parameters.u_g
 	u_g=get(inputs,'velocity',[1 1 0 0]);
 	u_g=FieldDepthAverage(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,u_g,'velocity');
-	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.numberofnodes);
+	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.NumberOfNodes);
 
-	displaystring(m.parameters.verbose,'\n%s',['call computational core:']);
+	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
 	results.h_g=diagnostic_core_linear(m,inputs,analysis_type,sub_analysis_type);
 
-	displaystring(m.parameters.verbose,'\n%s',['extrude computed thickness on all layers:']);
+	displaystring(m.parameters.Verbose,'\n%s',['extrude computed thickness on all layers:']);
 	results.h_g=FieldExtrude(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.h_g,'thickness',0);
 
Index: issm/trunk/src/m/solutions/jpl/slopecompute_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/slopecompute_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/slopecompute_core.m	(revision 3796)
@@ -10,9 +10,9 @@
 	results.step=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['call computational core:']);
+	displaystring(m.parameters.Verbose,'\n%s',['call computational core:']);
 	results.sx_g=diagnostic_core_linear(m,inputs,analysis_type,SurfaceXAnalysisEnum());
 	results.sy_g=diagnostic_core_linear(m,inputs,analysis_type,SurfaceYAnalysisEnum());
 
-	displaystring(m.parameters.verbose,'\n%s',['extrude computed slope on all layers:']);
+	displaystring(m.parameters.Verbose,'\n%s',['extrude computed slope on all layers:']);
 	results.sx_g=FieldExtrude(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.sx_g,'slopex',0);
 	results.sy_g=FieldExtrude(m.elements,m.nodes,m.vertices,m.loads,m.materials,m.parameters,results.sy_g,'slopey',0);
Index: issm/trunk/src/m/solutions/jpl/steadystate.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/steadystate.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/steadystate.m	(revision 3796)
@@ -40,18 +40,18 @@
 	displaystring(md.verbose,'\n%s',['setup inputs...']);
 	inputs=inputlist;
-	inputs=add(inputs,'velocity',models.dh.parameters.u_g,'doublevec',3,models.dh.parameters.numberofnodes);
-	inputs=add(inputs,'pressure',models.t.parameters.p_g,'doublevec',1,models.t.parameters.numberofnodes);
-	inputs=add(inputs,'dt',models.t.parameters.dt*models.t.parameters.yts,'double');
+	inputs=add(inputs,'velocity',models.dh.parameters.u_g,'doublevec',3,models.dh.parameters.NumberOfNodes);
+	inputs=add(inputs,'pressure',models.t.parameters.p_g,'doublevec',1,models.t.parameters.NumberOfNodes);
+	inputs=add(inputs,'dt',models.t.parameters.Dt*models.t.parameters.Yts,'double');
 	if md.control_analysis,
-		inputs=add(inputs,'velocity_obs',models.dh.parameters.u_g_obs,'doublevec',2,models.dh.parameters.numberofnodes);
-		inputs=add(inputs,'weights',models.dh.parameters.weights,'doublevec',1,models.dh.parameters.numberofnodes);
+		inputs=add(inputs,'velocity_obs',models.dh.parameters.u_g_obs,'doublevec',2,models.dh.parameters.NumberOfNodes);
+		inputs=add(inputs,'weights',models.dh.parameters.Weights,'doublevec',1,models.dh.parameters.NumberOfNodes);
 	end
 	
 	%compute solution
-	if ~models.dh.parameters.qmu_analysis,
+	if ~models.dh.parameters.QmuAnalysis,
 		if md.control_analysis,
 			%change control_steady to 1
-			models.dh.parameters.control_steady=1;
-			models.ds.parameters.control_steady=1;
+			models.dh.parameters.ControlSteady=1;
+			models.ds.parameters.ControlSteady=1;
 			%launch core of control solution.
 			results=control_core(models,inputs);
Index: issm/trunk/src/m/solutions/jpl/steadystate_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/steadystate_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/steadystate_core.m	(revision 3796)
@@ -16,10 +16,10 @@
 
 %recover parameters common to all solutions
-verbose=m_dhu.parameters.verbose;
-dim=m_dhu.parameters.dim;
-eps_rel=m_dhu.parameters.eps_rel;
-ishutter=m_dhu.parameters.ishutter;
-ismacayealpattyn=m_dh.parameters.ismacayealpattyn;
-isstokes=m_ds.parameters.isstokes;
+verbose=m_dhu.parameters.Verbose;
+dim=m_dhu.parameters.Dim;
+eps_rel=m_dhu.parameters.EpsRel;
+ishutter=m_dhu.parameters.IsHutter;
+ismacayealpattyn=m_dh.parameters.IsMacAyealPattyn;
+isstokes=m_ds.parameters.IsStokes;
 
 %convergence
@@ -40,5 +40,5 @@
 	%first compute temperature at steady state.
 	if (step>1),
-		inputs=add(inputs,'velocity',results_diagnostic.u_g,'doublevec',ndof,m_t.parameters.numberofnodes);
+		inputs=add(inputs,'velocity',results_diagnostic.u_g,'doublevec',ndof,m_t.parameters.NumberOfNodes);
 	end
 	results_thermal=thermal_core(models,inputs);
@@ -47,6 +47,6 @@
 	%Compute depth averaged temperature
 	temperature_average=FieldDepthAverage(m_t.elements,m_t.nodes,m_t.vertices,m_t.loads,m_t.materials,m_t.parameters,results_thermal.t_g,'temperature');
-	inputs=add(inputs,'temperature_average',temperature_average,'doublevec',1,m_t.parameters.numberofnodes);
-	inputs=add(inputs,'temperature',results_thermal.t_g,'doublevec',1,m_t.parameters.numberofnodes);
+	inputs=add(inputs,'temperature_average',temperature_average,'doublevec',1,m_t.parameters.NumberOfNodes);
+	inputs=add(inputs,'temperature',results_thermal.t_g,'doublevec',1,m_t.parameters.NumberOfNodes);
 	
 	%now compute diagnostic velocity using the steady state temperature.
Index: issm/trunk/src/m/solutions/jpl/thermal.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/thermal.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/thermal.m	(revision 3796)
@@ -23,10 +23,10 @@
 	displaystring(md.verbose,'\n%s',['setup inputs...']);
 	inputs=inputlist;
-	inputs=add(inputs,'velocity',models.t.parameters.u_g,'doublevec',3,models.t.parameters.numberofnodes);
-	inputs=add(inputs,'pressure',models.t.parameters.p_g,'doublevec',1,models.t.parameters.numberofnodes);
-	inputs=add(inputs,'dt',models.t.parameters.dt*models.t.parameters.yts,'double');
+	inputs=add(inputs,'velocity',models.t.parameters.u_g,'doublevec',3,models.t.parameters.NumberOfNodes);
+	inputs=add(inputs,'pressure',models.t.parameters.p_g,'doublevec',1,models.t.parameters.NumberOfNodes);
+	inputs=add(inputs,'dt',models.t.parameters.Dt*models.t.parameters.Yts,'double');
 
 	%compute solution
-	if ~models.t.parameters.qmu_analysis,
+	if ~models.t.parameters.QmuAnalysis,
 		%launch core of diagnostic solution.
 		results=thermal_core(models,inputs);
Index: issm/trunk/src/m/solutions/jpl/thermal_core.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/thermal_core.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/thermal_core.m	(revision 3796)
@@ -9,15 +9,15 @@
 m_m=models.m;
 
-if m_t.parameters.dt==0,
+if m_t.parameters.Dt==0,
 
 	results.time=0;
 	results.step=1;
 
-	displaystring(m_t.parameters.verbose,'\n%s',['computing temperatures...']);
+	displaystring(m_t.parameters.Verbose,'\n%s',['computing temperatures...']);
 	[results.t_g m_t.loads melting_offset]=thermal_core_nonlinear(m_t,inputs,ThermalAnalysisEnum(),NoneAnalysisEnum());
 
-	displaystring(m_t.parameters.verbose,'\n%s',['computing melting...']);
+	displaystring(m_t.parameters.Verbose,'\n%s',['computing melting...']);
 	inputs=add(inputs,'melting_offset',melting_offset,'double');
-	inputs=add(inputs,'temperature',results.t_g,'doublevec',1,m_t.parameters.numberofnodes);
+	inputs=add(inputs,'temperature',results.t_g,'doublevec',1,m_t.parameters.NumberOfNodes);
 	results.m_g=diagnostic_core_linear(m_m,inputs,MeltingAnalysisEnum(),NoneAnalysisEnum());
 
@@ -27,5 +27,5 @@
 	t_g=m_t.parameters.t_g;
 	m_g=m_m.parameters.m_g;
-	nsteps=m_t.parameters.ndt/m_t.parameters.dt;
+	nsteps=m_t.parameters.Ndt/m_t.parameters.Dt;
 
 	%initialize temperature and melting
@@ -37,14 +37,14 @@
 	for n=1:nsteps, 
 
-		displaystring(m_t.parameters.verbose,'\n%s%i/%i\n','time step: ',n,nsteps);
+		displaystring(m_t.parameters.Verbose,'\n%s%i/%i\n','time step: ',n,nsteps);
 		results(n+1).step=n+1;
-		results(n+1).time=n*m_t.parameters.dt;
+		results(n+1).time=n*m_t.parameters.Dt;
 
-		displaystring(m_t.parameters.verbose,'\n%s',['    computing temperatures...']);
-		inputs=add(inputs,'temperature',results(n).t_g,'doublevec',1,m_t.parameters.numberofnodes);
+		displaystring(m_t.parameters.Verbose,'\n%s',['    computing temperatures...']);
+		inputs=add(inputs,'temperature',results(n).t_g,'doublevec',1,m_t.parameters.NumberOfNodes);
 		[results(n+1).t_g m_t.loads melting_offset]=thermal_core_nonlinear(m_t,inputs,ThermalAnalysisEnum(),NoneAnalysisEnum());
 
-		displaystring(m_t.parameters.verbose,'\n%s',['    computing melting...']);
-		inputs=add(inputs,'temperature',results(n+1).t_g,'doublevec',1,m_t.parameters.numberofnodes);
+		displaystring(m_t.parameters.Verbose,'\n%s',['    computing melting...']);
+		inputs=add(inputs,'temperature',results(n+1).t_g,'doublevec',1,m_t.parameters.NumberOfNodes);
 		inputs=add(inputs,'melting_offset',melting_offset,'double');
 		results(n+1).m_g=diagnostic_core_linear(m_m,inputs,MeltingAnalysisEnum(),NoneAnalysisEnum());
Index: issm/trunk/src/m/solutions/jpl/thermal_core_nonlinear.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/thermal_core_nonlinear.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/thermal_core_nonlinear.m	(revision 3796)
@@ -18,5 +18,5 @@
 	m.parameters.kflag=1; m.parameters.pflag=1;
 
-	displaystring(m.parameters.verbose,'\n%s',['   starting direct shooting method']);
+	displaystring(m.parameters.Verbose,'\n%s',['   starting direct shooting method']);
 	
 	while(~converged),
@@ -26,15 +26,15 @@
 
 		%system matrices 
-		if ~m.parameters.lowmem 
+		if ~m.parameters.Lowmem 
 			if count==1
-				displaystring(m.parameters.verbose,'%s',['   system matrices']);
+				displaystring(m.parameters.Verbose,'%s',['   system matrices']);
 				[K_gg_nopenalty, p_g_nopenalty]=SystemMatrices(m.elements,m.nodes,m.vertices,loads,m.materials,m.parameters,inputs,analysis_type,sub_analysis_type);
 			end
-			displaystring(m.parameters.verbose,'%s',['   penalty system matrices']);
+			displaystring(m.parameters.Verbose,'%s',['   penalty system matrices']);
 			[K_gg , p_g, melting_offset]=PenaltySystemMatrices(K_gg_nopenalty,p_g_nopenalty,m.elements,m.nodes,m.vertices,loads,m.materials,m.parameters,inputs,analysis_type,sub_analysis_type);
 		else
-			displaystring(m.parameters.verbose,'%s',['   system matrices']);
+			displaystring(m.parameters.Verbose,'%s',['   system matrices']);
 			[K_gg , p_g]=SystemMatrices(m.elements,m.nodes,m.vertices,loads,m.materials,m.parameters,inputs,analysis_type,sub_analysis_type);
-			displaystring(m.parameters.verbose,'%s',['   penalty system matrices']);
+			displaystring(m.parameters.Verbose,'%s',['   penalty system matrices']);
 			[K_gg , p_g, melting_offset]=PenaltySystemMatrices(K_gg,p_g,m.elements,m.nodes,m.vertices,loads,m.materials,m.parameters,inputs,analysis_type,sub_analysis_type);
 		end
@@ -47,24 +47,24 @@
 
 		%Solve	
-		displaystring(m.parameters.verbose,'%s%g','   condition number of stiffness matrix: ',condest(K_ff));
+		displaystring(m.parameters.Verbose,'%s%g','   condition number of stiffness matrix: ',condest(K_ff));
 		[t_f]=Solver(K_ff,p_f,[],m.parameters);
 
 		%Merge back to g set
-		displaystring(m.parameters.verbose,'%s',['   merging solution back to g set']);
+		displaystring(m.parameters.Verbose,'%s',['   merging solution back to g set']);
 		[t_g]= Mergesolutionfromftog( t_f, m.Gmn, m.ys, m.nodesets ); 
 
 		%Update inputs in datasets
-		inputs=add(inputs,'temperature',t_g,'doublevec',m.parameters.numberofdofspernode,m.parameters.numberofnodes);
-		displaystring(m.parameters.verbose,'%s',['   update inputs']);
+		inputs=add(inputs,'temperature',t_g,'doublevec',m.parameters.NumberOfDofsPerNode,m.parameters.NumberOfNodes);
+		displaystring(m.parameters.Verbose,'%s',['   update inputs']);
 		[m.elements,m.nodes,m.vertices, loads,m.materials,m.parameters]=UpdateFromInputs(m.elements,m.nodes,m.vertices, loads,m.materials,m.parameters,inputs);
 	
 		%penalty constraints
-		displaystring(m.parameters.verbose,'%s',['   penalty constraints']);
+		displaystring(m.parameters.Verbose,'%s',['   penalty constraints']);
 		[loads,constraints_converged,num_unstable_constraints] =PenaltyConstraints(m.elements,m.nodes,m.vertices,loads, m.materials,m.parameters,inputs,analysis_type,sub_analysis_type);
 	
 		if ~converged,
-			displaystring(m.parameters.verbose,'%s%i','   #unstable constraints ',num_unstable_constraints);
+			displaystring(m.parameters.Verbose,'%s%i','   #unstable constraints ',num_unstable_constraints);
 			
-			if num_unstable_constraints<=m.parameters.min_thermal_constraints,
+			if num_unstable_constraints<=m.parameters.MinThermalConstraints,
 				converged=1;
 			end
Index: issm/trunk/src/m/solutions/jpl/transient2d.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/transient2d.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/transient2d.m	(revision 3796)
@@ -41,8 +41,8 @@
 displaystring(md.verbose,'\n%s',['setup inputs...']);
 inputs=inputlist;
-inputs=add(inputs,'velocity',solution.u_g,'doublevec',2,models.p.parameters.numberofnodes);
-inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.numberofnodes);
-inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.numberofnodes);
-inputs=add(inputs,'dt',models.p.parameters.dt*models.p.parameters.yts,'double'); %change time from yrs to sec
+inputs=add(inputs,'velocity',solution.u_g,'doublevec',2,models.p.parameters.NumberOfNodes);
+inputs=add(inputs,'melting',models.p.parameters.m_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+inputs=add(inputs,'accumulation',models.p.parameters.a_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+inputs=add(inputs,'dt',models.p.parameters.Dt*models.p.parameters.Yts,'double'); %change time from yrs to sec
 
 % figure out number of dof: just for information purposes.
@@ -50,8 +50,8 @@
 
 %first time step is given by model. 
-dt=models.p.parameters.dt;
-finaltime=models.p.parameters.ndt;
+dt=models.p.parameters.Dt;
+finaltime=models.p.parameters.Ndt;
 time=dt;
-yts=models.p.parameters.yts;
+yts=models.p.parameters.Yts;
 n=1; %counter
 
@@ -64,7 +64,7 @@
 
 	%update inputs
-	inputs=add(inputs,'thickness',solution(n).h_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'surface',solution(n).s_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'bed',solution(n).b_g,'doublevec',1,models.p.parameters.numberofnodes);
+	inputs=add(inputs,'thickness',solution(n).h_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'surface',solution(n).s_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'bed',solution(n).b_g,'doublevec',1,models.p.parameters.NumberOfNodes);
 
 	%Deal with velocities.
@@ -76,5 +76,5 @@
 	%compute new thickness
 	disp(sprintf('%s','   computing new thickness...'));
-	inputs=add(inputs,'velocity',solution(n+1).u_g,'doublevec',2,models.p.parameters.numberofnodes);
+	inputs=add(inputs,'velocity',solution(n+1).u_g,'doublevec',2,models.p.parameters.NumberOfNodes);
 	rawresults=prognostic_core(models,inputs,PrognosticAnalysisEnum(),NoneAnalysisEnum());
 	new_thickness=rawresults.h_g;
Index: issm/trunk/src/m/solutions/jpl/transient3d.m
===================================================================
--- issm/trunk/src/m/solutions/jpl/transient3d.m	(revision 3795)
+++ issm/trunk/src/m/solutions/jpl/transient3d.m	(revision 3796)
@@ -52,8 +52,8 @@
 displaystring(md.verbose,'\n%s',['setup inputs...']);
 inputs=inputlist;
-inputs=add(inputs,'velocity',results.u_g,'doublevec',3,models.p.parameters.numberofnodes);
-inputs=add(inputs,'melting',results.m_g,'doublevec',1,models.p.parameters.numberofnodes);
-inputs=add(inputs,'accumulation',results.a_g,'doublevec',1,models.p.parameters.numberofnodes);
-inputs=add(inputs,'dt',models.p.parameters.dt*models.p.parameters.yts,'double');
+inputs=add(inputs,'velocity',results.u_g,'doublevec',3,models.p.parameters.NumberOfNodes);
+inputs=add(inputs,'melting',results.m_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+inputs=add(inputs,'accumulation',results.a_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+inputs=add(inputs,'dt',models.p.parameters.Dt*models.p.parameters.Yts,'double');
 
 % figure out number of dof: just for information purposes.
@@ -61,8 +61,8 @@
 
 %first time step is given by model. 
-dt=models.p.parameters.dt;
-finaltime=models.p.parameters.ndt;
+dt=models.p.parameters.Dt;
+finaltime=models.p.parameters.Ndt;
 time=dt;
-yts=models.p.parameters.yts;
+yts=models.p.parameters.Yts;
 n=1; %counter
 
@@ -75,15 +75,15 @@
 
 	%update inputs
-	inputs=add(inputs,'thickness',results(n).h_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'surface',results(n).s_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'bed',results(n).b_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'velocity',results(n).u_g,'doublevec',3,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'pressure',results(n).p_g,'doublevec',1,models.p.parameters.numberofnodes);
-	inputs=add(inputs,'temperature',results(n).t_g,'doublevec',1,models.t.parameters.numberofnodes);
+	inputs=add(inputs,'thickness',results(n).h_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'surface',results(n).s_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'bed',results(n).b_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'velocity',results(n).u_g,'doublevec',3,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'pressure',results(n).p_g,'doublevec',1,models.p.parameters.NumberOfNodes);
+	inputs=add(inputs,'temperature',results(n).t_g,'doublevec',1,models.t.parameters.NumberOfNodes);
 
 	%Deal with temperature first 
 	displaystring(md.verbose,'\n%s',['    computing temperatures...']);
 	[results(n+1).t_g models.t.loads melting_offset]=thermal_core_nonlinear(models.t,inputs,ThermalAnalysisEnum(),TransientAnalysisEnum());
-	inputs=add(inputs,'temperature',results(n+1).t_g,'doublevec',1,models.t.parameters.numberofnodes);
+	inputs=add(inputs,'temperature',results(n+1).t_g,'doublevec',1,models.t.parameters.NumberOfNodes);
 	
 	displaystring(md.verbose,'\n%s',['    computing melting...']);
@@ -93,5 +93,5 @@
 	%Compute depth averaged temperature
 	temperature_average=FieldDepthAverage(models.t.elements,models.t.nodes,models.t.vertices,models.t.loads,models.t.materials,models.t.parameters,results(n+1).t_g,'temperature');
-	inputs=add(inputs,'temperature_average',temperature_average,'doublevec',1,models.t.parameters.numberofnodes);
+	inputs=add(inputs,'temperature_average',temperature_average,'doublevec',1,models.t.parameters.NumberOfNodes);
 
 	%Deal with velocities.
@@ -101,5 +101,5 @@
 	%compute new thickness
 	displaystring(md.verbose,'\n%s',['    computing new thickness...']);
-	inputs=add(inputs,'velocity',results(n+1).u_g,'doublevec',3,models.p.parameters.numberofnodes);
+	inputs=add(inputs,'velocity',results(n+1).u_g,'doublevec',3,models.p.parameters.NumberOfNodes);
 	rawresults=prognostic_core(models,inputs,PrognosticAnalysisEnum(),NoneAnalysisEnum());
 	new_thickness=rawresults.h_g;
